/// <reference types="Cypress" />

context('Window', () => {
  before(() => {
    cy.visit('/en/');
  });

  it('check meta charset', () => {
    // https://on.cypress.io/document
    cy.document()
      .should('have.property', 'charset')
      .and('eq', 'UTF-8');
  });

  it('check document title', () => {
    // https://on.cypress.io/title
    cy.title().should('eq', 'CoopStarter');
  });

  it('check heading content', () => {
    // https://on.cypress.io/title
    cy.get('h2.title_lead').should(
      'contain.text',
      'Welcome to our international index of resources for cooperative contributors and searchers',
    );
  });
});
